<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary px-3 py-2" (click)="newRow(); openModal(modal, 'Nueva Moneda');">
    <i class="fas fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-danger ml-1 px-4 py-2" (click)="printPDF()">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <kendo-grid [kendoGridBinding]="dataGrid" [filter]="filter" [filterable]="true" [selectable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sort]="sort" [sortable]="true" [groupable]="true"
      style="height: 69vh">
      <ng-container *ngFor="let item of gridFields">
        <kendo-grid-column [field]="item.field" [title]="item.title" [width]="item.width" [filterable]="item.filtro">
        </kendo-grid-column>
      </ng-container>
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
          <ng-template kendoGridFilterCellTemplate>
            <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
            </kendo-switch>
          </ng-template>
          <ng-template kendoGridCellTemplate let-dataItem>
            <input type="checkbox" [checked]="dataItem.Inactivo" disabled />
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-command-column title="Actions" width="220">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-info mr-2" (click)="editRow(dataItem, modal)">
              Editar
            </button>
            <button class="btn btn-danger mr-2" (click)="crudService('delete', dataItem)">Eliminar</button>
          </ng-template>
        </kendo-grid-command-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>
  </div>
</div>



<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row">

      <form [formGroup]="myFormGroup">
        <div class="row d-flex justify-content-between">
          <div class="col-4">
            <label for="Moneda">Moneda</label>
            <input type="text" class="form-control" appFocus formControlName="Moneda" [readOnly]="flagEdit"
              maxlength="3">
          </div>
          <div class="col-4">
            <label for="Inactivo" class="w-100">Inactivo</label>
            <kendo-switch formControlName="Inactivo" [onLabel]="'Si'" [offLabel]="'No'">
            </kendo-switch>
          </div>
          <div class="col-12">
            <label for="mdesc">Descripción</label>
            <input type="text" class="form-control" pattern="[a-zA-Z0-9 ]*" maxlength="30" formControlName="mdesc">
          </div>

          <div class="col-4">
            <label for="mval1" class="w-100">Renta</label>
            <kendo-switch formControlName="mval1" [onLabel]="'Si'" [offLabel]="'No'">
            </kendo-switch>
          </div>
          <div class="col-4">
            <label for="dmon2" class="w-100">Divisas</label>
            <kendo-switch formControlName="mval2" [onLabel]="'Si'" [offLabel]="'No'">
            </kendo-switch>
          </div>
          <div class="col-4">
            <label class="mt-1" for="Simbolo">Símbolo</label>
            <input type="text" class="form-control" formControlName="Simbolo" maxlength="1">
          </div>

          <div class="col-6">
            <label for="Abreviado">Abreviado</label>
            <input type="text" class="form-control" formControlName="Abreviado" maxlength="10">
          </div>
          <div class="col-6">
            <label for="dmon1">Singular</label>
            <input type="text" class="form-control" formControlName="dmon1" maxlength="15">
          </div>

          <div class="col-6">
            <label for="dmon2">Plural</label>
            <input type="text" class="form-control" formControlName="dmon2" maxlength="15">
          </div>
          <div class="col-6">
            <label for="Sec">Sec</label>
            <input type="number" class="form-control" formControlName="Sec" min="0" max="9999">
          </div>
          <div class="col-12">
            <label for="ISOmon">Moneda ISO</label>
            <input type="text" class="form-control" formControlName="ISOmon" maxlength="3">
          </div>

        </div>
      </form>

    </div>
  </div>
  <div class="modal-footer">
    <button class="btn btn-success" (click)="guardarForm(); c();" [disabled]="myFormGroup.status === 'INVALID'">
      <i class="fas fa-save mr-2"></i>Guardar
    </button>
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>